Is my cURL up-to-date?

If your license activates successfully, an outdated cURL version is not an immediate cause for concern but should be updated as soon as possible.

Running an outdated cURL version may cause license activation errors. cURL is used to verify the license when checking for updates and displaying the tutorial videos. The remainder of the plugin is accessible regardless of license activation status.

If you're not hosting your own website, you probably won't be able to update cURL yourself, but you can check what version is running.

How to check the cURL version on your server

  1. Log in to your WordPress website.

    When you’re logged in, you will be in your ‘Dashboard’.

  2. Click on ‘Plugins’.

    On the left-hand side, you will see a menu. In that menu, click on ‘Plugins’.

  3. Click on ‘Add New’.

    The ‘Plugins’ settings will expand providing you additional options. Click on ‘Add New’.

  4. Search for 'Health Check'.

    Type ‘Health Check’ in the search bar, as shown below.search plugins

  5. Click the ‘Install Now’ button.

    This will give you a page of search results. The Health Check plugin should be visible now. Click the ‘Install Now’ button to start installing the plugin, as shown below: Admin Plugins Add New Health Check Install

  6. Click the ‘Activate’ button.

    Click the ‘Activate’ button that appeared where the ‘Install Now’ button was previously located, as shown below:Admin Plugins Add New Health Check Activate

  7. Click on ‘Dashboard’.

    On the left-hand side, click on ‘Dashboard’ at the top.

  8. Click on ‘Health Check’.

    The ‘Dashboard’ menu will expand providing you additional options. Click on ‘Health Check’.
    Admin Dashboard Health Check

  9. Click on 'PHP Information'. 

    health-check_php-information

  10. Scroll down until you see the section with ‘curl’ as title.

    It should look like this:curl file-at6CGV7rWW

The most important settings are:

  • cURL support: enabled
  • cURL information: This should be the most recent cURL version.
  • SSL: Yes

If one (or more) of the above three settings do not match your current installation, please contact your hosting provider and have them fix this for you.

Was this article helpful? ·